> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluation Interview



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/evaluations/{evaluation_id}/interview
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/evaluations/{evaluation_id}/interview:
    get:
      tags:
        - v1-interview
      summary: Evaluation Interview
      operationId: >-
        evaluation_interview_v1_organizations__organization_id__apps__app_id__environments__environment_id__evaluations__evaluation_id__interview_get
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            format: uuid
            title: Organization Id
            type: string
        - in: path
          name: app_id
          required: true
          schema:
            format: uuid
            title: App Id
            type: string
        - in: path
          name: environment_id
          required: true
          schema:
            format: uuid
            title: Environment Id
            type: string
        - in: path
          name: evaluation_id
          required: true
          schema:
            format: uuid
            title: Evaluation Id
            type: string
        - in: query
          name: after_seq
          required: false
          schema:
            default: 0
            minimum: 0
            title: After Seq
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 500
            maximum: 500
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InterviewRecordView'
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Insufficient scope
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Resource not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Internal server error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    InterviewRecordView:
      properties:
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        config_fingerprint:
          title: Config Fingerprint
          type: string
        ended_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ended Reason
        entries:
          items:
            $ref: '#/components/schemas/InterviewEntryView'
          title: Entries
          type: array
        evaluation_id:
          format: uuid
          title: Evaluation Id
          type: string
        interview_id:
          format: uuid
          title: Interview Id
          type: string
        last_activity_at:
          format: date-time
          title: Last Activity At
          type: string
        metrics:
          $ref: '#/components/schemas/InterviewMetricsView'
        next_after_seq:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next After Seq
        paused_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Paused Reason
        started_at:
          format: date-time
          title: Started At
          type: string
        status:
          enum:
            - active
            - paused
            - completed
            - ended_incomplete
          title: Status
          type: string
        version_bundle_id:
          format: uuid
          title: Version Bundle Id
          type: string
      required:
        - interview_id
        - evaluation_id
        - version_bundle_id
        - config_fingerprint
        - status
        - started_at
        - last_activity_at
        - metrics
        - entries
      title: InterviewRecordView
      type: object
    ApiErrorResponse:
      additionalProperties: false
      properties:
        detail:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
          title: Detail
      required:
        - detail
      title: ApiErrorResponse
      type: object
    InterviewEntryView:
      properties:
        actor:
          title: Actor
          type: string
        attempt:
          title: Attempt
          type: integer
        id:
          format: uuid
          title: Id
          type: string
        kind:
          title: Kind
          type: string
        occurred_at:
          format: date-time
          title: Occurred At
          type: string
        payload:
          additionalProperties: true
          title: Payload
          type: object
        question_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Question Id
        received_at:
          format: date-time
          title: Received At
          type: string
        ref_entry_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Ref Entry Id
        scenario_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scenario Id
        section_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Section Id
        seq:
          title: Seq
          type: integer
      required:
        - id
        - seq
        - attempt
        - kind
        - actor
        - payload
        - occurred_at
        - received_at
      title: InterviewEntryView
      type: object
    InterviewMetricsView:
      properties:
        api_latency_p95_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Api Latency P95 Ms
        attempts:
          minimum: 0
          title: Attempts
          type: integer
        clarifications:
          minimum: 0
          title: Clarifications
          type: integer
        consistency_follow_ups:
          minimum: 0
          title: Consistency Follow Ups
          type: integer
        corrections:
          minimum: 0
          title: Corrections
          type: integer
        duration_seconds:
          minimum: 0
          title: Duration Seconds
          type: number
        estimated_cost_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Cost Usd
        provider_errors:
          additionalProperties:
            type: integer
          title: Provider Errors
          type: object
        rejected_proposals:
          minimum: 0
          title: Rejected Proposals
          type: integer
        scenario_evidence:
          minimum: 0
          title: Scenario Evidence
          type: integer
        scenario_gaps:
          minimum: 0
          title: Scenario Gaps
          type: integer
        turn_latency_p50_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Turn Latency P50 Ms
        turn_latency_p95_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Turn Latency P95 Ms
        usage:
          additionalProperties:
            type: number
          title: Usage
          type: object
      required:
        - duration_seconds
        - attempts
        - corrections
        - rejected_proposals
        - clarifications
        - scenario_evidence
        - scenario_gaps
        - consistency_follow_ups
        - provider_errors
        - usage
      title: InterviewMetricsView
      type: object
    ErrorDetail:
      additionalProperties: false
      description: Stable structured detail returned by versioned API errors.
      properties:
        code:
          title: Code
          type: string
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          title: Message
          type: string
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - code
        - message
      title: ErrorDetail
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.